<?php

require_once "../../../app/model/db.class.php";

//------------------------------------------
function limpia_espacios($cadena){
    $cadena = str_replace(' ', '', $cadena);
    return $cadena;
}


    $ins=($_REQUEST['ins']);
    $bsdt=($_REQUEST['bsd']);
    $enc=($_REQUEST['enc']);
    $enc1=($_REQUEST['enc1']);
    $dcr=($_REQUEST['dcr']);
    $mcp=($_REQUEST['mcp']);
    $dn=($_REQUEST['dn']);
    $redu=($_REQUEST['redu']);
    $sede=($_REQUEST['sede']);
    $leyen=($_REQUEST['leyen']);

    $nplailla=($_REQUEST['pla']);
    $nregistro=($_REQUEST['reg']);


    $nom_rec=($_REQUEST['nom_rec']);
    $ced_rec=($_REQUEST['ced_rec']);
    $nom_sec=($_REQUEST['nom_sec']);
    $ced_sec=($_REQUEST['ced_sec']);

//    echo $nom_rec."     ".$ced_rec."     ".$nom_sec."     ".$ced_sec;

    $ncer=($_REQUEST['ncer']);
    $nf=($_REQUEST['nf']);
    $ncons=($_REQUEST['ncons']);

//    echo $ncer."     ".$nf."     ".$ncons;



    $obj= new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $data='';
    $parquery = $obj->consulta("select * from parametros ;");
    $npar=$obj->numero_de_filas($parquery);

    $query = $obj->consulta("select * from registrar ;");
    $n_reg=$obj->numero_de_filas($query);
    if($obj->numero_de_filas($query) > 0) // existe -> datos correctos
    {
            //se llenan los datos en un array
            while ( $tsArray = $obj->fetch_assoc($query) )
                    $data[] = $tsArray;

    }
    $ima='';
    $escudo='';

     if(empty ($data[0]['escudo']))
     {
         $escudo='';
     }else{
             $escudo=$data[0]['escudo'];
     }


    if(empty ($_FILES['imagen']['tmp_name']))
     {
        $ima='';
     }else{

         $ima=(limpia_espacios($_FILES['imagen']['name']));
     }



        $infoimg=$_REQUEST['infoimg'];


    if($infoimg=='si' and $ima==''){

//        echo 'sii';
        $ima=$escudo;

    }else if($infoimg=='no' and $ima=='' and $escudo==''){

//        echo 'nada';
        $ima='';

    }else if($infoimg=='no' and $ima==''  and $escudo!=''){

//        echo 'nada';

        unlink("../../../fotografias/".$escudo);
        unlink("../../../imagenes/".$escudo);
        $ima='';

    }else if($infoimg=='si' and $ima!='' and $escudo!=''){

        //echo 'borrar y guardar';
        unlink("../../../fotografias/".$escudo);
        unlink("../../../imagenes/".$escudo);
        copy($_FILES['imagen']['tmp_name'],'../../../fotografias/'.$ima);
        copy($_FILES['imagen']['tmp_name'],'../../../imagenes/'.$ima);


    }else if($infoimg=='si' and $ima!='' and $escudo==''){

        //echo 'guardar';
        copy($_FILES['imagen']['tmp_name'],'../../../fotografias/'.$ima);
        copy($_FILES['imagen']['tmp_name'],'../../../imagenes/'.$ima);

    }


    $escudo2=$ima;

    $conare='';
    $conasig='';

    $rd=$_REQUEST['rd'];

    if($rd=='conare')
     {
        $conare=1;
     }else{
         $conare=0;
     }

     if($rd=='conasig')
     {
        $conasig=1;
     }else{
        $conasig=0;
     }


    $defare=($_REQUEST['defare']);
    $codalum=($_REQUEST['codalum']);


    if($n_reg > 0){

    $resultado=$obj->consulta("update registrar set basededatos='".$bsdt."',
        encabezado='".$enc."', encabezado1='".$enc1."', institucion='".$ins."', decreto='".$dcr."', municipio='".$mcp."', sede='".$sede."',
            registroeducativo='".$redu."', codigodane='".$dn."', certificadofinal='".$leyen."', escudo='".$escudo2."', consolidarporareas='".$conare."', consolidarporasign='".$conasig."', definitiva_area='".$defare."', codigalumno='".$codalum."' ;");

    }else{

        if($bsdt !='' or  $enc!='' or $enc1!='' or $ins!='' or $dcr!='' or $mcp!='' or $sede!='' or $redu!='' or $dn!='' or $leyen!='' or $escudo2!='' or $conare!='' or $conasig!='' or $defare!='' or $codalum=!''){

        $resultado=$obj->consulta("insert into registrar (basededatos, encabezado, encabezado1, institucion, decreto, municipio, sede, registroeducativo, codigodane, certificadofinal, escudo, consolidarporareas, consolidarporasign, definitiva_area, codigalumno) values('".$bsdt."',
       '".$enc."', '".$enc1."', '".$ins."', '".$dcr."', '".$mcp."', '".$sede."', '".$redu."', '".$dn."', '".$leyen."', '".$escudo2."', '".$conare."', '".$conasig."', '".$defare."', '".$codalum."');");


        }
    }


    if($npar>0)
    {
       $resultado=$obj->consulta("update parametros set noplanilla='".$nplailla."', noregistro='".$nregistro."', rector='".$nom_rec."',
           cedula_rector='".$ced_rec."', secretario='".$nom_sec."', cedula_secretario='".$ced_sec."', no_certificado='".$ncer."', no_folio='".$nf."', no_constancia='".$ncons."';");

    }else{
        if($nplailla<>'' or $nregistro<>'' )
            {
                $resultado=$obj->consulta("insert into parametros (noplanilla,noregistro,rector,cedula_rector,secretario,cedula_secretario,no_certificado,no_folio,no_constancia)
                    values ('".$nplailla."','".$nregistro."','".$nom_rec."','".$ced_rec."','".$nom_sec."','".$ced_sec."','".$ncer."','".$nf."','".$ncons."') ;");
            }

       }

     
        echo "<script>alert('Datos Ingresados Correctamente');</script>";
	echo '<meta http-equiv="refresh" content="0; url=../../registrar_parametros.php" />';

        $obj->disconnect();

        

?>
